Bug 236485 - suggestion for greatly improving navigation usability
Summary: suggestion for greatly improving navigation usability
Status: ASSIGNED
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: Documentation   
(Show other bugs)
Version: current
Hardware: All
OS: All
medium
high
Target Milestone: ---
Assignee: Susan Carpenter
QA Contact: Susan Carpenter
URL: http://www.redhat.com/docs/manuals/en...
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-15 00:43 UTC by gmm20
Modified: 2018-12-14 22:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description gmm20 2007-04-15 00:43:12 UTC
Description of problem:

html documentation navigation now is avaible only via mouse,
hyper-links "Prev" and "Next" on each page. there are many small
pages, and reading html documentation is not comfortable in FireFox.

Version-Release number of selected component (if applicable):

5.0.0

How reproducible:

see, for example, manual page 

http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Deployment_Guide-en-US/s2-intro-feedback.html

Steps to Reproduce:
1. open this page in FireFox browser
2. try to navigate Prev/Next via keyboard combinations Ctrl-Left/Ctrl-Right
3. and... nothing. only avaible keyboard navigation is tab,tab,tab,tab,enter.
  
Actual results:

keyboard navigation Prev/Next don't work as expected.

Expected results:

pressing keyboard combinations Ctrl-Left and Ctrl-Right
open prev/next page, like in other premium brand sites.

Additional info:

see examples of useful keyboard navigation at:

1. http://www.artlebedev.ru/kovodstvo/108/
( Russian premium brand Web-Developer Studio )

2. http://www.yandex.ru/yandsearch?stype=www&nl=0&text=Red+Hat
( Russian premium brand Search Engine )

on any of this sites keyboard navigation works fine.

source code fragment which realize such functionality:

html:

---===[ http://www.artlebedev.ru/kovodstvo/108/ ]===---
<html><head> 
[...]
<link rel="next" href="/kovodstvo/109/" id="PrevLink" />
<link rel="prev" href="/kovodstvo/107/" id="NextLink" />
<script type="text/javascript"
src="http://img.artlebedev.ru/svalka/navigate.js"></script>
[...]
===-===-===

JavaScript:

---===[ http://img.artlebedev.ru/svalka/navigate.js ]===---

document.onkeydown = NavigateThrough;

function NavigateThrough (event)
{
	if (!document.getElementById) return;

	if (window.event) event = window.event;

	if (event.ctrlKey)
	{
		var link = null;
		var href = null;
		switch (event.keyCode ? event.keyCode : event.which ? event.which : null)
		{
			case 0x25:
				link = document.getElementById ('NextLink');
				break;
			case 0x27:
				link = document.getElementById ('PrevLink');
				break;
			case 0x26:
				link = document.getElementById ('UpLink');
				break;
			case 0x28:
				link = document.getElementById ('DownLink');
				break;
			case 0x24:
				href = '/';
				break;
		}

		if (link && link.href) document.location = link.href;
		if (href) document.location = href;
	}			
}

===-===-===

Comment 2 Michael Hideo 2007-10-23 02:51:01 UTC
Removing automation notification

Comment 3 Michael Hideo 2007-11-05 23:49:54 UTC
Moving Status to 'Assigned'


Note You need to log in before you can comment on or make changes to this bug.